.video-detail {
    margin: 20px 0;
}

.video-detail__player-link {
    display: block;
    position: relative;
    padding-top: 56.26%;
}

.video-detail__player img {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: auto;
    transform: translateY(-50%) translateX(-50%);
}

.video-detail__info {
    padding: 5px 15px;
}

.video-detail__title {
    font-size: 18px;
    font-weight: bold;
    line-height: 20px;
    margin: 5px 0 10px 0;
    color: var(--primary-color);
}

.video-detail__description {
    font-size: 14px;
    margin-bottom: 10px;
    color: var(--secondary-color);
}

.video-detail__meta {
    font-size: 13px;
    font-weight: bold;
    color: var(--primary-color);
}

.video-detail__meta-row {
    display: flex;
}

.video-detail__hall-link {
    color: var(--link-color);
    text-decoration: none;
}

.video-detail__share {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    margin: 10px 0 0;
}

.video-detail__share-item {
    width: 32px;
    margin-right: 24px;
}

.episodes__item {
    position: relative;
    width: 100%;
}

.episodes__item a {
    display: block;
    text-decoration: none;
}

.episodes__logo {
    float: left;
    margin-right: 12px;
}

.episodes__thumbnail {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    aspect-ratio: 16 / 9;
}

.episodes__body {
    padding: 4px 10px 16px 10px;
}

.episodes__title {
    font-size: 14px;
    color: #0f0f0f;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-weight: bold;
    margin: 0;
}

.episodes__published-at {
    font-size: 12px;
    color: #0f0f0f;
    padding-left: 40px;
}

.episodes__duration {
    display: inline-block;
    position: absolute;
    right: 4px;
    bottom: 4px;
    background: rgba(0, 0, 0, .8);
    color: #ffffff;
    z-index: 1;
    font-size: 12px;
    font-weight: bold;
    border-radius: 2px;
    padding: 1px 4px;
}

.c-thumbnail__overlay {
    position: relative;
    display: block;
    padding-top: 56.25%;
}

.episodes__banner {
    padding: 10px 0;
    border-top: 1px #ddd solid;
    width: calc(100% + 30px);
    margin-left: -15px;
}

.episodes__banner-link {
    position: relative;
    display: block;
    width: 100%;
    height: auto;
    overflow: hidden;
    padding-bottom: calc(150/540*100%);
}

.episodes__banner-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}